Email
Inboxes
Marketing
SMS
Sign
Verify
Forms
Scheduling
Hooks
Risk
Platform
List event types
GET
/v1/scheduling/event_types
The environment's event types, newest first.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
limit?integerRange
1 <= value <= 100Default
20after?stringThe last id of the previous page.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of event types.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.eventTypes.list();{ "object": "list", "data": [ { "object": "scheduling.event_type", "id": "evtype_01kd2m9a0b1c2d3e4f5g6h7j8m", "uid": null, "title": "Initial consultation", "kind": "one_on_one", "status": "active", "duration_minutes": 30, "duration_options": [], "step_minutes": 30, "grid_time_zone": null, "buffer_before_minutes": 0, "buffer_after_minutes": 10, "min_notice_minutes": 120, "booking_window": null, "limits": [], "capacity": null, "requires_approval": false, "approval_ttl_minutes": 1440, "hold_ttl_seconds": 600, "cancel_notice_minutes": 0, "reschedule_notice_minutes": 0, "questions": [], "locations": [], "host_filter": null, "hosts": [ { "host": "host_01kd2m9a0b1c2d3e4f5g6h7j8m", "role": "member", "weight": 100, "schedule": null } ], "metadata": {}, "created_at": "2027-01-01T10:00:00.000Z", "updated_at": "2027-01-01T10:00:00.000Z" } ], "has_more": false}